Subject: Re: bug#41266: Suggested command to import key does not work on debian

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 14 May 2020 19:27:07 +0200

Hi Julien,

> First it fails because it cannot find the public key and suggests running:
>
> wget … -q0 - | gpg --import
>
> -q0 does not work with debian's wget, but -O works.

The installer script does not display this command.  There is no zero in
the wget commands.

> Aftcr importing the key, the script still complains it cannot find
> it. Re-running the same command with "sudo" in front of the gpg import
> command re-imports the key and the script is then able to find it.
>
> My guess is that the first import imported the key in my user's
> keyring, but the script looks in root's keyring. The second attempt
> added the key to root's keyring.

Yes, this is correct.  Since the installer script runs as root the key
import also needs to be done as root to affect the root user’s keyring.

-- 
Ricardo